رموز الاستجابة السريعة
GET https://jkznetwork.net/api/qr-codes/
curl --request GET \
--url 'https://jkznetwork.net/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://jkznetwork.net/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| حدود | تفاصيل | وصف |
|---|---|---|
| search | خياري خيط | سلسلة البحث. |
| search_by | خياري خيط | ما المجال الذي تبحث عنه. القيم المسموح بها هي: __PH_0____. |
| project_id | خياري عدد صحيح | |
| type | خياري خيط | ما المجال الذي تبحث عنه. القيم المسموح بها هي: __PH_0____. |
| datetime_field | خياري خيط | القيم المسموح بها: __PH_0____ |
| datetime_start | خياري خيط | تصفية النتائج بدءًا من هذا التاريخ. تنسيق Y-m-d H:i:s. |
| datetime_end | خياري خيط | تصفية النتائج حتى هذا التاريخ. تنسيق Y-m-d H:i:s. |
| order_by | خياري خيط | ما المجال الذي سيتم ترتيب النتائج به. القيم المسموح بها هي: __PH_0____. |
| order_type | خياري خيط | ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي. |
| page | خياري عدد صحيح | رقم الصفحة التي تريد الحصول على النتائج منها. الإعدادات الافتراضية هي 1. |
| results_per_page | خياري عدد صحيح | كم عدد النتائج التي تريدها لكل صفحة. القيم المسموح بها هي: __PH_0____. الإعدادات الافتراضية هي 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://jkznetwork.net/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-08-02 15:46:13",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://jkznetwork.net/api/qr-codes?page=1",
"last": "https://jkznetwork.net/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://jkznetwork.net/api/qr-codes?page=1"
}
}
GET https://jkznetwork.net/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://jkznetwork.net/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://jkznetwork.net/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://jkznetwork.net/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-08-02 15:46:13",
}
}
POST https://jkznetwork.net/api/qr-codes
| حدود | تفاصيل | وصف |
|---|---|---|
curl --request POST \
--url 'https://jkznetwork.net/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://jkznetwork.net/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://jkznetwork.net/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://jkznetwork.net/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://jkznetwork.net/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://jkznetwork.net/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://jkznetwork.net/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://jkznetwork.net/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \